# Finds Check.
#
# This module defines:
# CHECK_INCLUDE_DIRS
# CHECK_LIBRARIES
#

find_package(PkgConfig)
pkg_check_modules(PC_CHECK check)

find_path(CHECK_INCLUDE_DIR
          check.h
          HINTS ${PC_CHECK_INCLUDEDIR} ${PC_CHECK_INCLUDE_DIRS})

find_library(CHECK_LIBRARY
             NAMES check
             HINTS ${PC_CHECK_LIBDIR} ${PC_CHECK_LIBRARY_DIRS} )

set(CHECK_LIBRARIES ${CHECK_LIBRARY})
set(CHECK_INCLUDE_DIRS ${CHECK_INCLUDE_DIR})

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(Check DEFAULT_MSG
                                  CHECK_LIBRARY CHECK_INCLUDE_DIR)

mark_as_advanced(CHECK_INCLUDE_DIR CHECK_LIBRARY)
